public static interface NsqEndpointBuilderFactory.NsqBuilders
| Modifier and Type | Method and Description |
|---|---|
default NsqEndpointBuilderFactory.NsqEndpointBuilder |
nsq(String path)
NSQ (camel-nsq)
Send and receive messages from NSQ realtime distributed messaging
platform.
|
default NsqEndpointBuilderFactory.NsqEndpointBuilder |
nsq(String componentName,
String path)
NSQ (camel-nsq)
Send and receive messages from NSQ realtime distributed messaging
platform.
|
default NsqEndpointBuilderFactory.NsqEndpointBuilder nsq(String path)
nsq:topic
Path parameter: topic (required)
The NSQ topicpath - topicdefault NsqEndpointBuilderFactory.NsqEndpointBuilder nsq(String componentName, String path)
nsq:topic
Path parameter: topic (required)
The NSQ topiccomponentName - to use a custom component name for the endpoint
instead of the default namepath - topicApache Camel